Skip to navigation

Validate export storage

Validate a specific S3 export storage connection.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Request

This endpoint expects an object.
projectintegerRequired
A unique integer value identifying this project.
aws_access_key_idstring or nullOptional

AWS_ACCESS_KEY_ID

aws_secret_access_keystring or nullOptional

AWS_SECRET_ACCESS_KEY

aws_session_tokenstring or nullOptional

AWS_SESSION_TOKEN

aws_sse_kms_key_idstring or nullOptional
AWS SSE KMS Key ID
bucketstring or nullOptional
S3 bucket name
can_delete_objectsboolean or nullOptional
Deletion from storage enabled
descriptionstring or nullOptional
Cloud storage description
idintegerOptional
Storage ID. If set, storage with specified ID will be updated
prefixstring or nullOptional
S3 bucket prefix
regex_filterstring or nullOptional
Cloud storage regex for filtering objects
region_namestring or nullOptional
AWS Region
s3_endpointstring or nullOptional
S3 Endpoint
synchronizablebooleanOptionalDefaults to true
titlestring or nullOptional<=256 characters
Cloud storage title
use_blob_urlsbooleanOptional
Interpret objects as BLOBs and generate URLs

Response

Validation successful